---
title: MediaMetadata
slug: Web/API/MediaMetadata
tags:
  - Audio
  - Interface
  - Media
  - Media Session API
  - MediaMetadata
  - MediaSession
  - Reference
  - Video
---
<p>{{SeeCompatTable}}{{APIRef("Media Session API")}}</p>

<p><span class="seoSummary">The <strong><code>MediaMetadata</code></strong> interface of the <a href="/en-US/docs/Web/API/Media_Session_API">Media Session API</a> allows a web page to provide rich media metadata for display in a platform UI.</span></p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("MediaMetadata.MediaMetadata()")}}</dt>
 <dd>Creates a new <code>MediaMetaData</code> object.</dd>
</dl>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaMetadata.title")}}</dt>
 <dd>Returns or sets the title of the media to be played.</dd>
 <dt>{{domxref("MediaMetadata.artist")}}</dt>
 <dd>Returns or sets the name of the artist, group, creator, etc. of the media to be played.</dd>
 <dt>{{domxref("MediaMetadata.album")}}</dt>
 <dd>Returns or sets the name of the album or collection containing the media to be played.</dd>
 <dt>{{domxref("MediaMetadata.artwork")}}</dt>
 <dd>Returns or sets an array of images associated with playing media. </dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>The following example checks for browser compatibility and sets the current metadata for the media session.</p>

<pre class="brush: js notranslate line-numbers language-js"><code class="language-js"><span class="keyword token">if</span> <span class="punctuation token">(</span><span class="string token">'mediaSession'</span> <span class="keyword token">in</span> navigator<span class="punctuation token">)</span> <span class="punctuation token">{</span>
  navigator<span class="punctuation token">.</span>mediaSession<span class="punctuation token">.</span>metadata <span class="operator token">=</span> <span class="keyword token">new</span> <span class="class-name token">MediaMetadata</span><span class="punctuation token">(</span><span class="punctuation token">{</span>
    title<span class="punctuation token">:</span> <span class="string token">'Unforgettable'</span><span class="punctuation token">,</span>
    artist<span class="punctuation token">:</span> <span class="string token">'Nat King Cole'</span><span class="punctuation token">,</span>
    album<span class="punctuation token">:</span> <span class="string token">'The Ultimate Collection (Remastered)'</span><span class="punctuation token">,</span>
    artwork<span class="punctuation token">:</span> <span class="punctuation token">[</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/96x96'</span><span class="punctuation token">,</span>   sizes<span class="punctuation token">:</span> <span class="string token">'96x96'</span><span class="punctuation token">,</span>   type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/128x128'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'128x128'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/192x192'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'192x192'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/256x256'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'256x256'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/384x384'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'384x384'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
      <span class="punctuation token">{</span> src<span class="punctuation token">:</span> <span class="string token">'https://dummyimage.com/512x512'</span><span class="punctuation token">,</span> sizes<span class="punctuation token">:</span> <span class="string token">'512x512'</span><span class="punctuation token">,</span> type<span class="punctuation token">:</span> <span class="string token">'image/png'</span> <span class="punctuation token">}</span><span class="punctuation token">,</span>
    <span class="punctuation token">]</span>
  <span class="punctuation token">}</span><span class="punctuation token">)</span><span class="punctuation token">;</span></code></pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Session','#the-mediametadata-interface','MediaMetaData')}}</td>
   <td>{{Spec2('Media Session')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaMetadata")}}</p>
</div>
